Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I have been trying to update my Fedora 19 system, but each time it fails with some error.

I tried doing a yum clean all but to no avail. The last time i got this set of errors,

Total                                                                                                                  63 kB/s | 726 MB  03:15:53     
Running transaction check
Running transaction test


Transaction check error:
  file /etc/php-zts.d/zip.ini from install of php-common-5.5.7-1.fc19.x86_64 conflicts with file from package php-pecl-zip-1.12.1-2.fc19.remi.1.x86_64
  file /etc/php.d/zip.ini from install of php-common-5.5.7-1.fc19.x86_64 conflicts with file from package php-pecl-zip-1.12.1-2.fc19.remi.1.x86_64
  file /usr/lib64/php-zts/modules/zip.so from install of php-common-5.5.7-1.fc19.x86_64 conflicts with file from package php-pecl-zip-1.12.1-2.fc19.remi.1.x86_64
  file /usr/lib64/php/modules/zip.so from install of php-common-5.5.7-1.fc19.x86_64 conflicts with file from package php-pecl-zip-1.12.1-2.fc19.remi.1.x86_64
  file /usr/share/doc/HTML/de/k3guitune/index.cache.bz2 from install of k3guitune-1.01-10.fc19.x86_64 conflicts with file from package k3guitune-1.01-9.fc18.i686
  file /usr/share/doc/HTML/en/k3guitune/index.cache.bz2 from install of k3guitune-1.01-10.fc19.x86_64 conflicts with file from package k3guitune-1.01-9.fc18.i686
  file /usr/share/doc/HTML/nl/k3guitune/index.cache.bz2 from install of k3guitune-1.01-10.fc19.x86_64 conflicts with file from package k3guitune-1.01-9.fc18.i686
  file /usr/share/applications/k3guitune.desktop from install of k3guitune-1.01-10.fc19.x86_64 conflicts with file from package k3guitune-1.01-9.fc18.i686

Error Summary
-------------

Please help..

share|improve this question
    
Does yum distro-sync help with the k3guitune (and perhaps other) issues? –  rickhg12hs Dec 24 '13 at 14:31
add comment

1 Answer

You have (or had) the Remi repo installed, which included packages that conflict with the base Fedora repositories. I suggest removing the package you installed from that repo and try again.

share|improve this answer
    
can you help on how to remove that repository –  debal Dec 23 '13 at 14:47
    
i remember once installing the KDE desktop.. along with the GNOME one, how can i remove the entire KDE desktop? –  debal Dec 23 '13 at 14:54
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.